Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  VBA Benutzerdefinierte Dateiinformation in Zeichnung auslesen und schreiben

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Hilfreiche Tipps und Tricks aus der Praxis prägnant, und auf den Punkt gebracht für SOLIDWORKS
Autor Thema:  VBA Benutzerdefinierte Dateiinformation in Zeichnung auslesen und schreiben (168 mal gelesen)
DWXXIII
Mitglied
Konstrukteur

Sehen Sie sich das Profil von DWXXIII an!   Senden Sie eine Private Message an DWXXIII  Schreiben Sie einen Gästebucheintrag für DWXXIII

Beiträge: 2
Registriert: 26.03.2021

erstellt am: 26. Mrz. 2021 15:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Zusammen,

bin verzweifelt auf der Suche nach einem Makro, das mir aus den Dateiinformationen einer Zeichnung die Werte aus den Zeilen "Bearb. Name" und "Bearb. Datum" ausliest und in damit die vorhanden Werte in den Zeilen "Ersteller" und "Erstelldatum" überschreibt.

Kann mir hier jmd. weiterhelfen?     

mfg

Dorian

------------------
DW

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

DWXXIII
Mitglied
Konstrukteur

Sehen Sie sich das Profil von DWXXIII an!   Senden Sie eine Private Message an DWXXIII  Schreiben Sie einen Gästebucheintrag für DWXXIII

Beiträge: 2
Registriert: 26.03.2021

erstellt am: 26. Mrz. 2021 17:00    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Habs geschafft..   

---------------------------------------------------------------

Option Explicit
Sub main()
   
    'Variablen definieren
    Dim bearbeiter As String
    Dim datum As String
   
    Dim ersteller As String
    Dim erstelldatum As String
   
    'bearbeiter und datum Text zuweisen
    bearbeiter = "Bearb. Name"
    datum = "Bearb. Datum"
   
    Dim swApp As SldWorks.SldWorks
    Set swApp = Application.SldWorks
   
    Dim swModel As SldWorks.ModelDoc2
    Set swModel = swApp.ActiveDoc
   
    'Ist ein Dokument offen?
    If swModel Is Nothing Then
    MsgBox "Kein Dokument offen!", vbCritical
    End
    End If
   
    'Ist Dokument eine Zeichnung?
    If swModel.GetType <> swDocDRAWING Then
    MsgBox "Dieses Makro funktioniert nur bei Zeichnungen!", vbCritical
    End
    End If
   
    Dim swModelDocExtension As ModelDocExtension
    Set swModelDocExtension = swModel.Extension
   
    Dim swCustomPropertyManager As CustomPropertyManager
    Set swCustomPropertyManager = swModelDocExtension.CustomPropertyManager("")
   
    Dim wert1 As String
    Dim wert2 As String
   
    'Auslesen
    wert1 = swCustomPropertyManager.Get(bearbeiter)
    wert2 = swCustomPropertyManager.Get(datum)
   
    Dim result_code As Integer
   
    'Schreiben
    result_code = swCustomPropertyManager.Add3("Ersteller", swCustomInfoType_e.swCustomInfoText, wert1, swCustomPropertyAddOption_e.swCustomPropertyDeleteAndAdd)
    result_code = swCustomPropertyManager.Add3("Erstelldatum", swCustomInfoType_e.swCustomInfoText, wert2, swCustomPropertyAddOption_e.swCustomPropertyDeleteAndAdd)
   
    Dim boolstatus As Boolean
   
    'Rebuild
    boolstatus = swModel.ForceRebuild3(True)
   
End Sub

------------------
DW

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2021 CAD.de | Impressum | Datenschutz